<script>
  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 10, right: 20, bottom: 20, left: 20 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Arrays
  const points = [
    innerWidth / 2 - 60,
    innerWidth / 2 - 30,
    innerWidth / 2,
    innerWidth / 2 + 30,
    innerWidth / 2 + 60
  ];

  // All lights with a higher index are on!
  let index = points.length;

  // Color
  let color = "darkred";

  // Opacity
  let opacity = 0.3;

  // Countdown
  function countDown() {
    if (index >= 0) index -= 1;
  }

  setInterval(countDown, 1000)

  $: console.log(index);
</script>

<svg viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.top})">
    <!--  -->
    {#each points as point, idx}
      <circle cx={point} cy={innerHeight/2} r=10 opacity={idx < index ? opacity : 1} fill={index > 0 ? color : 'green'}/>
    {/each}

  </g>
</svg>
